<?php
//Покупаем пользователя------
if(isset($_GET['buy_user']) AND $ank['in_birja'] AND $user['in_birja'] AND $user['balls']>=$ank['birja_cost'] AND $user['id']<>$ank['birja_hozyain'] AND $ank['id']<>$user['id'])
{

	include_once H.'mods/birja_pitomcev/functions.php';

$money_cost=(int)$ank['birja_cost'];

	//Перечисляем баллы бывшему хозяину, если он есть----------
	if($ank['birja_hozyain'])
	{	
	mysql_query("UPDATE user SET balls=balls+$money_cost WHERE id='".$ank['birja_hozyain']."';");
	
		//Уведмоляем продавца, что у него купили----------
		$msg="Пользователь ".$user['nick']." выкупил у вас питомца ".$ank['nick'];
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['birja_hozyain']."', '$msg', '$time')");
		//--------------------------------------------
			
	}
	//---------------------------------------------------------
	
	//Забираем баллы у покупателя------------
	mysql_query("UPDATE user SET balls=balls-$money_cost WHERE id='".$user['id']."';");
	$user['balls']=$user['balls']-$money_cost;
	//---------------------------------------
	
	$procent=10;					//Процент, который перечисляется питомцу на счёт, и добавляет его стомиость.
	$birja_cost=round($ank['birja_cost']*(100+$procent)/100);	//Новая цена питомца
	$add_balls=round($ank['birja_cost']*$procent/100);			//Баллы, перечисляемые питомцу
	
	//Передаём юзера новому хозяину, отдаём питомцу % от сделки, увеличиваем его цену на бирже
	mysql_query("UPDATE user 
	SET birja_hozyain='".$user['id']."',balls=balls+$add_balls,birja_cost='$birja_cost',birja_buy_count=birja_buy_count+1 
	WHERE id='".$ank['id']."';");
		
	$ank['birja_buy_count']++;
	$ank['balls']=$ank['balls']+$add_balls;
	$ank['birja_hozyain']=$user['id'];
	$ank['birja_cost']=$birja_cost;
	//----------------------------------------

	//Уведмоляем юзера, что его купили----------
	$msg="У вас новый хозяин: ".$user['nick'];
	mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '$msg', '$time')");
	//--------------------------------------------
	
	//Вычисляем уровень питомника нового хозяина---------
	$res=mysql_query("SELECT SUM(birja_cost) AS all_cost FROM user WHERE birja_hozyain='".$user['id']."' AND in_birja='1';");
	if($row=mysql_fetch_assoc($res))
	{
	$all_cost=$row['all_cost'];
	$birja_level=birja_get_level($all_cost);
		
		//Уровень повысился---------------------
		if($birja_level>$user['birja_level'])
		{
		$bonus=birja_get_bonus($birja_level);
		mysql_query("UPDATE user SET birja_level='$birja_level',balls=balls+$bonus WHERE id='".$user['id']."';");
		}
		//---------------------------------------
	}
	//---------------------------------------------------
}
?>